org.wildfly.swarm.config.security

## Class SecurityDomain.SecurityDomainResources

- java.lang.Object
- - org.wildfly.swarm.config.security.SecurityDomain.SecurityDomainResources

- Enclosing class:
    SecurityDomain<T extends SecurityDomain<T>>

      public static class SecurityDomain.SecurityDomainResources
      extends Object

  Child mutators for SecurityDomain

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityDomainResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassicACL` | `classicAcl()` Access control list configuration.
    `ClassicAudit` | `classicAudit()` Auditing configuration.
    `ClassicAuthentication` | `classicAuthentication()` Traditional authentication configuration.
    `ClassicAuthorization` | `classicAuthorization()` Authorization configuration.
    `ClassicIdentityTrust` | `classicIdentityTrust()` Identity trust configuration.
    `ClassicJSSE` | `classicJsse()` JSSE configuration.
    `ClassicMapping` | `classicMapping()` Mapping configuration.
    `JaspiAuthentication` | `jaspiAuthentication()` JASPI authentication configuration.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityDomainResources

          public SecurityDomainResources()

  - ### Method Detail

    - #### classicJsse

          public ClassicJSSE classicJsse()

      JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

    - #### classicAuthorization

          public ClassicAuthorization classicAuthorization()

      Authorization configuration. Configures a list of authorization policy modules to be used.

    - #### classicAudit

          public ClassicAudit classicAudit()

      Auditing configuration. Configures a list of provider modules to be used.

    - #### classicAcl

          public ClassicACL classicAcl()

      Access control list configuration. Configures a list of ACL modules to be used.

    - #### jaspiAuthentication

          public JaspiAuthentication jaspiAuthentication()

      JASPI authentication configuration.

    - #### classicMapping

          public ClassicMapping classicMapping()

      Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.

    - #### classicIdentityTrust

          public ClassicIdentityTrust classicIdentityTrust()

      Identity trust configuration. Configures a list of trust modules to be used.

    - #### classicAuthentication

          public ClassicAuthentication classicAuthentication()

      Traditional authentication configuration. Configures a list of login modules to be used.

Copyright © 2017 JBoss by Red Hat. All rights reserved.